/* $Id: gtkimtest.c,v 1.3 1998/02/19 02:42:38 frog Exp $ */
#if 0
# include <locale.h>
#else
# define  X_LOCALE
# include <X11/Xlocale.h>
#endif
#include <gtk/gtk.h>

int
main (int argc, char **argv)
{
  GtkWidget *window, *vbox, *entry, *button;
  
  gtk_set_locale();
  gtk_init(&argc, &argv);

  if (argc < 2)
    {
      g_error(": %s <rc  ̸>\n", argv[0]);
      gtk_exit(1);
    }
  
  gtk_rc_parse(argv[1]);
  
  window = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_container_border_width (GTK_CONTAINER (window), 10);

  vbox = gtk_vbox_new (FALSE, 4);
  gtk_container_add (GTK_CONTAINER (window), vbox);
  
  entry = gtk_entry_new();
  gtk_box_pack_start_defaults (GTK_BOX (vbox), entry);

  button = gtk_button_new_with_label("");
  gtk_signal_connect(GTK_OBJECT(button), "clicked",
                     GTK_SIGNAL_FUNC(gtk_main_quit), NULL);
  gtk_box_pack_start_defaults (GTK_BOX (vbox), button);

  gtk_widget_show (entry);
  gtk_widget_show (button);
  gtk_widget_show (vbox);
  gtk_widget_show (window);
         
  gtk_main();
}
